import request from '@/utils/request'

// 查询零件
export function searchtable(num1, num2, num3, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_编制工艺_备料到货查询',
      param: '零件图号_check=' + num1 + '&零件图号=' + num2 + '&备料到货_check=' + num3,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询零件工艺
export function searchtable2(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_备料打印_查询工序信息',
      param: '工艺计划流水号=' + num1
    }
  })
}
// 完成备料工序
export function handlechange(Number, code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_工作者',
      param: '工序流水号=' + Number + '&工作者考勤编号=' + code
    }
  })
}
// 查询外购备料零件
export function searchtable3(num, num1, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '备料管理_外购备料查询',
      param: '零件图号_check=' + num + '&零件图号=' + num1,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 自家备料出库
export function change(Number, code, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_备料到货_状态更改',
      param: '工艺计划流水号=' + Number + '&重量=' + code + '&单价=' + num
    }
  })
}
// 外购备料出库
export function change2(Number, code, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_外购备料到货更改',
      param: '工序流水号组=' + Number + '&工作者考勤编号=' + code + '&工艺计划流水号组=' + num
    }
  })
}
